Skip to main content
GET
Aggregate member
Use this endpoint to create a new aggregation job, which is the process that gathers updated account, transaction, and holding data for a given member. If you’ve set the use_cases field when creating the member, then the member’s use_case must be set to PFM, otherwise a 403 will return. The response will include important information about the member’s aggregation including the is_being_aggregated and connection_status fields. The aggregation can take some time to finish; you can use the the read member endpoint and track the status and completion of the aggregation as it progresses.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

member_guid
string
required

The unique identifier for the member. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
include_holdings
boolean

When set to false, the aggregation will not gather holdings data. Defaults to true.

Example:

false

include_transactions
boolean

When set to false, the aggregation will not gather transactions data. Defaults to true.

Example:

false

Response

200 - application/vnd.mx.nexus.v1+json

OK

member
object